bug-gnu-emacs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

bug#8562: Emacs 23.1 and later don't work in windows 98


From: Eli Zaretskii
Subject: bug#8562: Emacs 23.1 and later don't work in windows 98
Date: Sat, 04 Jun 2011 10:11:33 +0300

> Date: Sat, 4 Jun 2011 00:52:15 +0200
> From: oslsachem <address@hidden>
> Cc: address@hidden
> 
> I have realized that I had mistook system error #120 ("This function
> is not supported on this system." ie. the function is a stub) for
> system error #1 ("Incorrect function." ie. the function does not
> exist).
> 
> This renders my previous reasoning unnecessary.
> 
> So I'm going to put calls to the function GetLastError after each call
> to each of these unicode functions to see what happens.

Thanks, that would be useful.

An alternative would be to download and install libunicows from here:

  http://libunicows.sourceforge.net/

and then manually add "-lunicows" before all the other -lFOO libraries
on the link command line in src/makefile, and rebuild Emacs.  If that
binary works, then we at least will know that the linking against
unicows.dll is the root cause of all these problems.

Whether to switch to linking Emacs with libunicows or manually load it
on Windows 9X and call the Unicode functions through function
pointers, is a different issue.  Given the small number of affected
functions, I'm not sure what's best.





reply via email to

[Prev in Thread] Current Thread [Next in Thread]